//Install Plugin Script
var MakroPath: string;

procedure GkInstall;
var gk: string;
begin
  if HttpAsk('GET', 'http://geokuk.cz/geokuk.jar','','',gk) then begin
     StringToFile(gk, MakroPath + 'geokuk.jar');
     HttpAsk('GET', 'http://geokuk.cz/version.txt','','',gk)
     StringToFile(gk, MakroPath + 'geokuk_version.txt');
   end else begin
     ShowMessage('Nepodailo se nainstalovat GeoKuk');
     GeoAbort;
   end
end;

procedure GkInitialConfig;
var hc1, hc2: string;

begin
  with TRegistry.Create do
    try
      // RootKey := HKEY_CURRENT_USER;
      if OpenKey('\Software\JavaSoft\Prefs\geokuk\current\domacisouradnice', True)
      then begin
        if FileExists(GEOGET_DATADIR+'\geohome.ini') then begin
          hc1 := FileToString(GEOGET_DATADIR+'\geohome.ini');
          hc2 := Fetch(hc1, ' ');
          hc2 := hc2 + ',' + Fetch(hc1, ' ');
          WriteString('hc', hc2);
        end;
        CloseKey;
      end;
      if OpenKey('\Software\JavaSoft\Prefs\geokuk\current\nastaveni', True)
      then begin
        WriteString('geocaching/Com/Nick', GEOGET_OWNER);
        CloseKey;
      end;
      if OpenKey('\Software\JavaSoft\Prefs\geokuk\current\umisteni/Souboru', True)
      then begin
        WriteString('geoget/Data/Dir', GEOGET_DATADIR);
        CloseKey;
      end;
    finally
      Free;
    end;    
end;

function InstallWork: string;
var r: integer;
begin
  MakroPath := ReplaceString(Geoget_ScriptFullName, Geoget_ScriptName, '');

  if not FileExists(MakroPath + 'geokuk.jar') then begin
    r := MessBox('GeoKuk nebyl nalezen, chcete ho sthnout a nainstalovat?', 'GeoKuk', 4);
    if r = 6 then begin       // Ano
      GkInstall;
      ShowMessage('GeoKuk byl staen. Nyn bude sputn, abyste mohli provst zkladn nastaven.');
      GkInitialConfig;
      RunShell(MakroPath + 'geokuk.jar');
    end;
    if r = 7 then GeoAbort;   // Ne
  end;
  if not FileExists(MakroPath+'\geokuk_version.txt') then begin
    StringToFile('???', MakroPath+'\geokuk_version.txt');
  end;
  
  Result := '';
end;